Bug 1284204 - Retire itstool from EPEL 7
Retire itstool from EPEL 7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: itstool (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 16:49 EST by Kalev Lember
Modified: 2015-11-30 15:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 15:40:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2015-11-21 16:49:08 EST
itstool is shipped in both RHEL 7.2 and EPEL 7. This is not allowed by EPEL policy which says that packages in EPEL may not replace packages in RHEL repos.

It's available in both rhel-7-server-optional-rpms and rhel-7-workstation-optional-rpms repos.

Please retire itstool from EPEL 7 to fix this.
Comment 1 Andrea Veri 2015-11-29 13:50:35 EST
Retired the package at pkgs.fedoraproject.org but couldn't figure out how to retire it from the repositories as well as trying to do so results in a: "You are not allowed to retire the package: itstool on branch epel7.". CCing Jon who might be able to help out with this.
Comment 2 Gwyn Ciesla 2015-11-30 08:44:43 EST
Did you complete everything here:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

?
Comment 4 Gwyn Ciesla 2015-11-30 13:25:12 EST
Odd.  Retired and blocked.
Comment 5 Andrea Veri 2015-11-30 13:45:30 EST
Also tried to retire the package myself with the command listed on the wiki page you mentioned but I got a permission denied, is that expected and only allowed to archive admins?

Feel free to mark the bug as resolved btw :-)
Comment 6 Gwyn Ciesla 2015-11-30 15:40:01 EST
I think it is.

Note You need to log in before you can comment on or make changes to this bug.